%global pypi_name drf-access-policy
%global commitId 3adc67d435499303939ce0ad34ee7a8064e2875c

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.1.2
Release:        2%{?dist}
Summary:        Declarative access policies/permissions modeled after AWS' IAM policies

License:        MIT
URL:            https://github.com/rsinger86/drf-access-policy
Source0:        python-drf-access-policy-3adc67d435499303939ce0ad34ee7a8064e2875c.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
drf-access-policy brings a declaritive, organized approach to managing access
control in Django REST Framework projects.
Each ViewSet or function-based view can be assigned an explicit policy for the
exposed resource(s).
No more digging through views or seralizers to understand access logic -- it's
all in one place in a format that less technical stakeholders can understand.
If you're familiar with other declaritive access models, such as AWS' IAM, the
syntax will be familiar.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Declarative access policies/permissions modeled after AWS' IAM policies

Requires:       python%{python3_pkgversion}-djangorestframework
Requires:       python%{python3_pkgversion}-pyparsing

Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
drf-access-policy brings a declaritive, organized approach to managing access
control in Django REST Framework projects.
Each ViewSet or function-based view can be assigned an explicit policy for the
exposed resource(s).
No more digging through views or seralizers to understand access logic -- it's
all in one place in a format that less technical stakeholders can understand.
If you're familiar with other declaritive access models, such as AWS' IAM, the
syntax will be familiar.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE.md
%{python3_sitelib}/rest_access_policy
%{python3_sitelib}/drf_access_policy-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 26 2022 Dimitri Savineau <dsavinea@redhat.com> 1.1.2-2
- Obsolete the old Python 3.8 package for smooth upgrade

* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 1.1.2-1
- Initial release
